Bug 1464735 - Do not execute sql scripts as shell scripts
Do not execute sql scripts as shell scripts
Product: ovirt-engine
Classification: oVirt
Component: Database.Core (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.2.0
: 4.2.0
Assigned To: Eli Mesika
Lucie Leistnerova
Depends On:
  Show dependency treegraph
Reported: 2017-06-25 04:22 EDT by Eli Mesika
Modified: 2017-12-20 06:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-20 06:24:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
lsvaty: testing_ack+

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 78778 master MERGED db: do not execute sql files as shell scripts 2017-07-05 04:19 EDT

  None (edit)
Description Eli Mesika 2017-06-25 04:22:37 EDT
Description of problem:

If sql scripts are changed by mistake manually and have the execution flag set, the upgrade process will fail while trying to execute those sql scripts as shell scripts

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Change one/more of the sql scripts under upgrade/pre-upgrade/post-upgrade dir 
2. run engine-setup 

Actual results:

Upgrade process fails while trying to execute the sql script as a shell script 

Expected results:

Upgrade process should ignore the execution flag and not try to run sql scripts as shell scripts

Additional info:
Comment 1 Lucie Leistnerova 2017-09-01 04:46:40 EDT
updgrade doesn't run .sql files

verified in ovirt-engine-4.2.0-0.0.master.20170831223128.git34f4d69.el7.centos.noarch
Comment 2 Sandro Bonazzola 2017-12-20 06:24:23 EST
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.

Note You need to log in before you can comment on or make changes to this bug.